diff -c -N oldbabel/babel.dtx newbabel/babel.dtx
*** oldbabel/babel.dtx	Sun Oct  6 00:00:00 2002
--- newbabel/babel.dtx	Sun Jul 20 17:37:16 2003
***************
*** 295,300 ****
--- 295,301 ----
  %        Icelandic  & icelandic \\
  %        Irish Gaelic & irish\\
  %        Italian    & italian\\
+ %        Japanese   & japanese\\
  %^^A        Kannada    & kannada \\
  %        Latin      & latin \\
  %        Lower Sorbian & lowersorbian\\
***************
*** 1096,1101 ****
--- 1097,1103 ----
  \DeclareOption{icelandic}{\input{icelandic.ldf}}
  \DeclareOption{irish}{\input{irish.ldf}}
  \DeclareOption{italian}{\input{italian.ldf}}
+ \DeclareOption{japanese}{\input{japanese.ldf}}
  \DeclareOption{latin}{\input{latin.ldf}}
  \DeclareOption{lowersorbian}{\input{lsorbian.ldf}}
  %^^A\DeclareOption{kannada}{\input{kannada.ldf}}
***************
*** 2076,2090 ****
    \language=\csname l@\languagename\endcsname\relax
    }
  %    \end{macrocode}
! %    The default is to use English as the main language.
  % \changes{babel~3.6c}{1997/01/05}{When \file{hyphen.cfg} is not
! %    loaded in the format \cs{l@english} might not be defined; assume
! %    english is language 0}
  %    \begin{macrocode}
! \ifx\l@english\@undefined
!   \let\l@english\z@
  \fi
! \main@language{english}
  %    \end{macrocode}
  %    We also have to make sure that some code gets executed at the
  %    beginning of the document.
--- 2078,2092 ----
    \language=\csname l@\languagename\endcsname\relax
    }
  %    \end{macrocode}
! %    The default is to use Japanese as the main language.
  % \changes{babel~3.6c}{1997/01/05}{When \file{hyphen.cfg} is not
! %    loaded in the format \cs{l@japanese} might not be defined; assume
! %    japanese is language 0}
  %    \begin{macrocode}
! \ifx\l@japanese\@undefined
!   \let\l@japanese\z@
  \fi
! \main@language{japanese}
  %    \end{macrocode}
  %    We also have to make sure that some code gets executed at the
  %    beginning of the document.
***************
*** 3137,3149 ****
  %    The current concept of `shorthands' supports three levels or
  %    groups of shorthands. For each level the name of the level or
  %    group is stored in a macro. The default is to have a user group;
! %    use language group `english' and have a system group called
  %    `system'.
  % \changes{babel~3.6i}{1997/02/24}{Have a user group called `user' by
  %    default}
  %    \begin{macrocode}
  \def\user@group{user}
! \def\language@group{english}
  \def\system@group{system}
  %    \end{macrocode}
  %  \end{macro}
--- 3139,3151 ----
  %    The current concept of `shorthands' supports three levels or
  %    groups of shorthands. For each level the name of the level or
  %    group is stored in a macro. The default is to have a user group;
! %    use language group `japanese' and have a system group called
  %    `system'.
  % \changes{babel~3.6i}{1997/02/24}{Have a user group called `user' by
  %    default}
  %    \begin{macrocode}
  \def\user@group{user}
! \def\language@group{japanese}
  \def\system@group{system}
  %    \end{macrocode}
  %  \end{macro}
***************
*** 5362,5367 ****
--- 5364,5370 ----
  %
  \langdeffile{frenchb.dtx}
  \langdeffile{italian.dtx}
+ \langdeffile{japanese.dtx}
  \langdeffile{latin.dtx}
  \langdeffile{portuges.dtx}
  \langdeffile{spanish.dtx}
diff -c -N oldbabel/babel.ins newbabel/babel.ins
*** oldbabel/babel.ins	Thu Feb 22 00:00:00 2001
--- newbabel/babel.ins	Sun Jul 20 17:37:16 2003
***************
*** 150,155 ****
--- 150,156 ----
  \BblInstall{icelandic}{icelandic}
  \BblInstall{irish}{irish}
  \BblInstall{italian}{italian}
+ \BblInstall{japanese}{japanese}
  %\BblInstall{kannada}{kannada}
  \BblInstall{latin}{latin}
  \BblInstall{magyar}{magyar}
diff -c -N oldbabel/greek.dtx newbabel/greek.dtx
*** oldbabel/greek.dtx	Sun Oct  6 00:00:00 2002
--- newbabel/greek.dtx	Thu Jul 17 01:18:15 2003
***************
*** 758,771 ****
  %    ``monotoniko'' Greek, not ``polutoniko'' Greek}
  % \changes{greek-1.3j}{2001/02/03}{Ues the tilde as an alias for
  %    character 159}
! %    \begin{macrocode}
! \@tempcnta=\lccode`\~
! \lccode`\~=159
! \lowercase{%
!   \initiate@active@char{~}%
!   \declare@shorthand{greek}{~}{}}
! \lccode`\~=\@tempcnta
! %    \end{macrocode}
  %    We can also make the tilde character itself expand to a tilde with
  %    category code 12 to make the typing of texts easier.
  % \changes{greek-1.1b}{1997/03/06}{Made tilde expand to a tilde with
--- 758,771 ----
  %    ``monotoniko'' Greek, not ``polutoniko'' Greek}
  % \changes{greek-1.3j}{2001/02/03}{Ues the tilde as an alias for
  %    character 159}
! %%    \begin{macrocode}
! %\@tempcnta=\lccode`\~
! %\lccode`\~=159
! %\lowercase{%
! %  \initiate@active@char{~}%
! %  \declare@shorthand{greek}{~}{}}
! %\lccode`\~=\@tempcnta
! %%    \end{macrocode}
  %    We can also make the tilde character itself expand to a tilde with
  %    category code 12 to make the typing of texts easier.
  % \changes{greek-1.1b}{1997/03/06}{Made tilde expand to a tilde with
diff -c -N oldbabel/japanese.dtx newbabel/japanese.dtx
*** oldbabel/japanese.dtx	Thu Jan  1 09:00:00 1970
--- newbabel/japanese.dtx	Sun Jul 20 17:37:16 2003
***************
*** 0 ****
--- 1,336 ----
+ % \iffalse meta-comment
+ %
+ % Copyright 1989-2001 Johannes L. Braams and any individual authors
+ % listed elsewhere in this file.  All rights reserved.
+ % 
+ % This file is part of the Babel system release 3.7.
+ % --------------------------------------------------
+ % 
+ % It may be distributed under the terms of the LaTeX Project Public
+ % License, as described in lppl.txt in the base LaTeX distribution.
+ % Either version 1.2 or, at your option, any later version.
+ % \fi
+ % \CheckSum{249}
+ % \iffalse
+ %    Tell the \LaTeX\ system who we are and write an entry on the
+ %    transcript.
+ %<*dtx>
+ \ProvidesFile{japanese.dtx}
+ %</dtx>
+ %<code>\ProvidesLanguage{japanese}
+ %\fi
+ %\ProvidesFile{japanese.dtx}
+         [2001/12/08 v1.00 Japanese support from the babel system (YASUDA)]
+ %\iffalse
+ %% File 'japanese.dtx'
+ %% Babel package for LaTeX version 2e
+ %% Copyright (C) 1989 - 2001
+ %%           by Johannes Braams, TeXniek
+ %
+ %% Please report errors to: J.L. Braams
+ %%                          JLBraams@cistron.nl
+ %
+ %    This file is part of the babel system, it provides the source
+ %    code for the Japanese language definition file.
+ %<*filedriver>
+ \documentclass{ltxdoc}
+ \newcommand*\TeXhax{\TeX hax}
+ \newcommand*\babel{\textsf{babel}}
+ \newcommand*\langvar{$\langle \mathit lang \rangle$}
+ \newcommand*\note[1]{}
+ \newcommand*\Lopt[1]{\textsf{#1}}
+ \newcommand*\file[1]{\texttt{#1}}
+ \begin{document}
+  \DocInput{japanese.dtx}
+ \end{document}
+ %</filedriver>
+ %\fi
+ % \GetFileInfo{japanese.dtx}
+ %
+ % \changes{japanese-2.0a}{1990/04/02}{Added checking of format}
+ % \changes{japanese-2.1}{1990/04/24}{Reflect changes in babel 2.1}
+ % \changes{japanese-2.1a}{1990/05/14}{Incorporated Nico's comments}
+ % \changes{japanese-2.1b}{1990/05/14}{merged \file{USenglish.sty} into
+ %    this file}
+ % \changes{japanese-2.1c}{1990/05/22}{fixed typo in definition for
+ %    american language found by Werenfried Spit (nspit@fys.ruu.nl)}
+ % \changes{japanese-2.1d}{1990/07/16}{Fixed some typos}
+ % \changes{japanese-3.0}{1991/04/23}{Modified for babel 3.0}
+ % \changes{japanese-3.0a}{1991/05/29}{Removed bug found by van der Meer}
+ % \changes{japanese-3.0c}{1991/07/15}{Renamed \file{babel.sty} in
+ %    \file{babel.com}}
+ % \changes{japanese-3.1}{1991/11/05}{Rewrote parts of the code to use
+ %    the new features of babel version 3.1}
+ % \changes{japanese-3.3}{1994/02/08}{Update or \LaTeXe}
+ % \changes{japanese-3.3c}{1994/06/26}{Removed the use of \cs{filedate}
+ %    and moved the identification after the loading of
+ %    \file{babel.def}}
+ % \changes{japanese-3.3g}{1996/07/10}{Replaced \cs{undefined} with
+ %    \cs{@undefined} and \cs{empty} with \cs{@empty} for consistency
+ %    with \LaTeX} 
+ % \changes{japanese-3.3h}{1996/10/10}{Moved the definition of
+ %    \cs{atcatcode} right to the beginning.} 
+ %
+ %  \section{The Japanese language}
+ %
+ %    The file \file{\filename}\footnote{The file described in this
+ %    section has version number \fileversion\ and was last revised on
+ %    \filedate.} defines all the language definition macros for the
+ %    Japanese language as well as for the American version of this
+ %    language.
+ %
+ %    For this language currently no special definitions are needed or
+ %    available.
+ %
+ % \StopEventually{}
+ %
+ %    The macro |\LdfInit| takes care of preventing that this file is
+ %    loaded more than once, checking the category code of the
+ %    \texttt{@} sign, etc.
+ % \changes{japanese-3.3h}{1996/11/02}{Now use \cs{LdfInit} to perform
+ %    initial checks} 
+ %    \begin{macrocode}
+ %<*code>
+ \LdfInit\CurrentOption{date\CurrentOption}
+ %    \end{macrocode}
+ %
+ %    When this file is read as an option, i.e. by the |\usepackage|
+ %    command, \texttt{japanese} could be an `unknown' language in which
+ %    case we have to make it known.  So we check for the existence of
+ %    |\l@japanese| to see whether we have to do something here.
+ %
+ % \changes{japanese-3.0}{1991/04/23}{Now use \cs{adddialect} if
+ %    language undefined}
+ % \changes{japanese-3.0d}{1991/10/22}{removed use of \cs{@ifundefined}}
+ % \changes{japanese-3.3c}{1994/06/26}{Now use \cs{@nopatterns} to
+ %    produce the warning}
+ % \changes{japanese-3.3g}{1996/07/10}{Allow british as the name of the
+ %    UK patterns}
+ % \changes{japanese-3.3j}{2000/01/21}{Also allow american japanese
+ %    hyphenation patterns to be used for `japanese'}
+ %    We allow for the british japanese patterns to be loaded as either
+ %    `japanese', `british', or `UKenglish'. When neither of those is
+ %    known we try to define |\l@japanese| as an alias for |\l@american|
+ %    or |\l@USenglish|.
+ % \changes{japanese-3.3k}{2001/02/07}{Added support for canadian}
+ %    \begin{macrocode}
+ \ifx\l@japanese\@undefined
+   \ifx\l@UKenglish\@undefined
+     \ifx\l@british\@undefined
+       \ifx\l@american\@undefined
+         \ifx\l@USenglish\@undefined
+           \ifx\l@canadian\@undefined
+             \@nopatterns{Japanese}
+             \adddialect\l@japanese0
+           \else
+             \let\l@japanese\l@canadian
+           \fi
+         \else
+           \let\l@japanese\l@USenglish
+         \fi
+       \else
+         \let\l@japanese\l@american
+       \fi
+     \else
+       \let\l@japanese\l@british
+     \fi 
+   \else
+     \let\l@japanese\l@UKenglish
+   \fi
+ \fi
+ %    \end{macrocode}
+ %    Because we allow `british' to be used as the babel option we need
+ %    to make sure that it will be recognised by |\selectlanguage|. In
+ %    the code above we have made sure that |\l@japanese| has a sensible
+ %    value; now we make |\l@british| equal to that. The same holds for
+ %    |\l@UKenglish|. 
+ %    \begin{macrocode}
+ \ifx\l@british\@undefined
+   \let\l@british\l@japanese
+ \fi
+ \ifx\l@UKenglish\@undefined
+   \let\l@UKenglish\l@japanese
+ \fi
+ %    \end{macrocode}
+ %    `American' is a version of `Japanese' which can have its own
+ %    hyphenation patterns. The default japanese patterns are in fact
+ %    for american japanese. We allow for the patterns to be loaded as
+ %    `japanese' `american' or `USenglish'.
+ % \changes{japanese-3.0}{1990/04/23}{Now use \cs{adddialect} for
+ %    american}
+ % \changes{japanese-3.0b}{1991/06/06}{Removed \cs{global} definitions}
+ % \changes{japanese-3.3d}{1995/02/01}{Only define american as a
+ %    dialect when no separate patterns have been loaded}
+ % \changes{japanese-3.3g}{1996/07/10}{Allow USenglish as the name of
+ %    the american patterns} 
+ %    \begin{macrocode}
+ \ifx\l@american\@undefined
+   \ifx\l@USenglish\@undefined
+ %    \end{macrocode}
+ %    When the patterns are not know as `american' or `USenglish' we
+ %    add a ``dialect''.
+ %    \begin{macrocode}
+     \adddialect\l@american\l@japanese
+   \else
+     \let\l@american\l@USenglish
+   \fi
+ \else
+ %    \end{macrocode}
+ %    make sure that USenglish is known, even if the patterns were
+ %    loaded as `maerican'.
+ % \changes{japanese-3.3j}{2000/01/21}{Ensure that \cs{l@USenglish} is
+ %    alway defined}
+ % \changes{japanese-3.3l}{2001/04/15}{Added missing backslash}
+ %    \begin{macrocode}
+   \ifx\l@USenglish\@undefined
+     \let\l@USenglish\l@american
+   \fi
+ \fi
+ %    \end{macrocode}
+ %
+ 
+ % \changes{japanese-3.3k}{2001/02/07}{Added support for canadian}
+ %    `Canadian' japanese spelling is a hybrid of British and American
+ %    spelling. Although so far no special `translations' have been
+ %    reported we allow this file to be loaded by the option
+ %    \Lopt{candian} as well.
+ %    \begin{macrocode}
+ \ifx\l@canadian\@undefined
+   \adddialect\l@canadian\l@japanese
+ \fi
+ %    \end{macrocode}
+ %
+ %    The next step consists of defining commands to switch to (and
+ %    from) the Japanese language.
+ % \begin{macro}{\captionsjapanese}
+ %    The macro |\captionsjapanese| defines all strings used
+ %    in the four standard document classes provided with \LaTeX.
+ % \changes{japanese-3.0b}{1991/06/06}{Removed \cs{global} definitions}
+ % \changes{japanese-3.0b}{1991/06/06}{\cs{pagename} should be
+ %    \cs{headpagename}}
+ % \changes{japanese-3.1a}{1991/11/11}{added \cs{seename} and
+ %    \cs{alsoname}}
+ % \changes{japanese-3.1b}{1992/01/26}{added \cs{prefacename}}
+ % \changes{japanese-3.2}{1993/07/15}{\cs{headpagename} should be
+ %    \cs{pagename}}
+ % \changes{japanese-3.3e}{1995/07/04}{Added \cs{proofname} for
+ %    AMS-\LaTeX}
+ % \changes{japanese-3.3g}{1996/07/10}{Construct control sequence on the
+ %    fly} 
+ % \changes{japanese-3.3j}{2000/09/19}{Added \cs{glossaryname}}
+ %    \begin{macrocode}
+ \@namedef{captions\CurrentOption}{%
+   \def\prefacename{½ô ¸À}%
+   \def\refname{»²¹ÍÊ¸¸¥}%
+   \def\abstractname{³µ Í×}%
+   \def\bibname{´ØÏ¢Ê¸¸¥}%
+   \def\chaptername{Chapter}%
+   \def\appendixname{ÉÕ Ï¿}%
+   \def\contentsname{ÌÜ ¼¡}%
+   \def\listfigurename{¿Þ ÌÜ ¼¡}%
+   \def\listtablename{É½ ÌÜ ¼¡}%
+   \def\indexname{º÷ °ú}%
+   \def\figurename{¿Þ}%
+   \def\tablename{É½}%
+   \def\prepartname{Âè}
+   \def\postpartname{Éô}
+   \def\prechaptername{Âè}
+   \def\postchaptername{¾Ï}
+   \def\partname{Part}%
+   \def\enclname{´Þ}%
+   \def\ccname{cc}%
+   \def\headtoname{To}%
+   \def\pagename{ÊÇ}%
+   \def\seename{»²¾È}%
+   \def\alsoname{»²¾È}%
+   \def\proofname{¾ÚÌÀ}%
+   \def\glossaryname{ÍÑ ¸ì}%
+   }
+ %    \end{macrocode}
+ % \end{macro}
+ %
+ % \begin{macro}{\datejapanese}
+ %    The macro |\datejapanese| redefines the command |\today| to
+ %    produce Japanese dates.
+ % \changes{japanese-3.0b}{1991/06/06}{Removed \cs{global} definitions}
+ % \changes{japanese-3.3g}{1996/07/10}{Construct control sequence on the
+ %    fly}
+ % \changes{japanese-3.3i}{1997/10/01}{Use \cs{edef} to define \cs{today}
+ %    to save memory}
+ % \changes{japanese-3.3i}{1998/03/28}{use \cs{def} instead of
+ %    \cs{edef}}
+ %    \begin{macrocode}
+ \@namedef{date\CurrentOption}{%
+ \def\today{{%
+   \iftdir
+     \ifÀ¾Îñ
+       \kansuji\number\year Ç¯
+       \kansuji\number\month ·î
+       \kansuji\number\day Æü
+     \else \@tempcnta\year
+       \advance\@tempcnta-1988 Ê¿À®
+       \ifnum \@tempcnta =1 ¸µ\else\kansuji\number\@tempcnta\fi Ç¯
+       \kansuji\number\month ·î\kansuji\number\day Æü
+     \fi
+   \else
+     \ifÀ¾Îñ
+       \number\year\, Ç¯\hspace{.5em}\nobreak
+       \number\month\, ·î\hspace{.5em}\nobreak
+       \number\day\, Æü
+     \else \@tempcnta\year
+       \advance\@tempcnta-1988 Ê¿À®
+       \ifnum \@tempcnta =1 ¸µ\else\number\@tempcnta\fi
+         \, Ç¯\hspace{.5em}\nobreak
+       \number\month\, ·î\hspace{.5em}\nobreak\number\day\, Æü
+     \fi
+   \fi}}}
+ %    \end{macrocode}
+ % \end{macro}
+ %
+ % \begin{macro}{\extrasjapanese}
+ % \begin{macro}{\noextrasjapanese}
+ %    The macro |\extrasjapanese| will perform all the extra definitions
+ %    needed for the Japanese language. The macro |\noextrasjapanese| is
+ %    used to cancel the actions of |\extrasjapanese|.  For the moment
+ %    these macros are empty but they are defined for compatibility
+ %    with the other language definition files.
+ %
+ % \changes{japanese-3.3g}{1996/07/10}{Construct control sequences on
+ %    the fly} 
+ %    \begin{macrocode}
+ \@namedef{extras\CurrentOption}{}
+ \@namedef{noextras\CurrentOption}{}
+ %    \end{macrocode}
+ % \end{macro}
+ % \end{macro}
+ %
+ %    The macro |\ldf@finish| takes care of looking for a
+ %    configuration file, setting the main language to be switched on
+ %    at |\begin{document}| and resetting the category code of
+ %    \texttt{@} to its original value.
+ % \changes{japanese-3.3h}{1996/11/02}{Now use \cs{ldf@finish} to wrap
+ %    up} 
+ %    \begin{macrocode}
+ \ldf@finish\CurrentOption
+ %</code>
+ %    \end{macrocode}
+ %
+ % \Finale
+ %%
+ %% \CharacterTable
+ %%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
+ %%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
+ %%   Digits        \0\1\2\3\4\5\6\7\8\9
+ %%   Exclamation   \!     Double quote  \"     Hash (number) \#
+ %%   Dollar        \$     Percent       \%     Ampersand     \&
+ %%   Acute accent  \'     Left paren    \(     Right paren   \)
+ %%   Asterisk      \*     Plus          \+     Comma         \,
+ %%   Minus         \-     Point         \.     Solidus       \/
+ %%   Colon         \:     Semicolon     \;     Less than     \<
+ %%   Equals        \=     Greater than  \>     Question mark \?
+ %%   Commercial at \@     Left bracket  \[     Backslash     \\
+ %%   Right bracket \]     Circumflex    \^     Underscore    \_
+ %%   Grave accent  \`     Left brace    \{     Vertical bar  \|
+ %%   Right brace   \}     Tilde         \~}
+ %%
+ \endinput
diff -c -N oldbabel/japanese.ins newbabel/japanese.ins
*** oldbabel/japanese.ins	Thu Jan  1 09:00:00 1970
--- newbabel/japanese.ins	Sun Jul 20 17:37:16 2003
***************
*** 0 ****
--- 1,97 ----
+ %%
+ %% This file will generate fast loadable files and documentation
+ %% driver files from the doc files in this package when run through
+ %% LaTeX or TeX.
+ %%
+ %% Copyright 1989-2001 Johannes L. Braams and any individual authors
+ %% listed elsewhere in this file.  All rights reserved.
+ %% 
+ %% This file is part of the Babel system, release 3.7.
+ %% ---------------------------------------------------
+ %% 
+ %% It may be distributed under the terms of the LaTeX Project Public
+ %% License, as described in lppl.txt in the base LaTeX distribution.
+ %% Either version 1.2 or, at your option, any later version.
+ %%
+ %% --------------- start of docstrip commands ------------------
+ %%
+ \def\filedate{2001/12/08}
+ \def\batchfile{japanese.ins}
+ \input docstrip.tex
+ 
+ {\ifx\generate\undefined
+ \Msg{**********************************************}
+ \Msg{*}
+ \Msg{* This installation requires docstrip}
+ \Msg{* version 2.3c or later.}
+ \Msg{*}
+ \Msg{* An older version of docstrip has been input}
+ \Msg{*}
+ \Msg{**********************************************}
+ \errhelp{Move or rename old docstrip.tex.}
+ \errmessage{Old docstrip in input path}
+ \batchmode
+ \csname @@end\endcsname
+ \fi}
+ 
+ \declarepreamble\mainpreamble
+ 
+ This is a generated file.
+ 
+ Copyright 1989-2001 Johannes L. Braams and any individual authors
+ listed elsewhere in this file.  All rights reserved.
+ 
+ This file is part of the Babel system release 3.7.
+ --------------------------------------------------
+ 
+ It may be distributed under the terms of the LaTeX Project Public
+ License, as described in lppl.txt in the base LaTeX distribution.
+ Either version 1.2 or, at your option, any later version.
+ \endpreamble
+ 
+ \declarepreamble\fdpreamble
+ This is a generated file.
+ 
+ Copyright 2001 Johannes L. Braams and any individual authors
+ listed elsewhere in this file.  All rights reserved.
+ 
+ This file is part of the Babel system, release 3.7.
+ ---------------------------------------------------
+ 
+ It may be distributed under the terms of the LaTeX Project Public
+ License, as described in lppl.txt in the base LaTeX distribution.
+ Either version 1.2 or, at your option, any later version.
+ 
+ In particular, permission is granted to customize the declarations in
+ this file to serve the needs of your installation.
+ 
+ However, NO PERMISSION is granted to distribute a modified version
+ of this file under its original name.
+ 
+ \endpreamble
+ 
+ \keepsilent
+ 
+ \usedir{tex/generic/babel} 
+ 
+ \usepreamble\mainpreamble
+ \generate{\file{japanese.ldf}{\from{japanese.dtx}{code}}
+           }
+ \usepreamble\fdpreamble
+ 
+ \ifToplevel{
+ \Msg{***********************************************************}
+ \Msg{*}
+ \Msg{* To finish the installation you have to move the following}
+ \Msg{* files into a directory searched by TeX:}
+ \Msg{*}
+ \Msg{* \space\space All *.def, *.fd, *.ldf, *.sty}
+ \Msg{*}
+ \Msg{* To produce the documentation run the files ending with}
+ \Msg{* '.dtx' and `.fdd' through LaTeX.}
+ \Msg{*}
+ \Msg{* Happy TeXing}
+ \Msg{***********************************************************}
+ }
+  
+ \endinput
